Collect inputs using a Reader 

Initiates an input collection flow on a Reader to display input forms and collect information from your customers.

Parameters

  • inputsarray of objectsRequired

    List of inputs to be collected from the customer using the Reader. Maximum 5 inputs.

  • metadataobject

    Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to metadata.

Returns

Returns an updated Reader resource.

POST /v1/terminal/readers/:id/collect_inputs
curl https://api.stripe.com/v1/terminal/readers/tmr_OXYJvwsea7PDiDHNciXRkytb/collect_inputs \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:" \
-d "inputs[0][type]"=signature \
-d "inputs[0][custom_text][title]"=Signature \
-d "inputs[0][custom_text][description]"="Please sign below" \
-d "inputs[0][custom_text][submit_button]"=Submit \
-d "inputs[0][custom_text][skip_button]"=Skip \
-d "inputs[0][required]"=false \
-d "inputs[1][type]"=selection \
-d "inputs[1][custom_text][title]"=Selection \
-d "inputs[1][custom_text][description]"="Please select one" \
-d "inputs[1][required]"=true \
-d "inputs[1][selection][choices][0][style]"=primary \
-d "inputs[1][selection][choices][0][text]"=choice_1 \
-d "inputs[1][selection][choices][0][id]"=choice_1_id \
-d "inputs[1][selection][choices][1][style]"=secondary \
-d "inputs[1][selection][choices][1][text]"=choice_2 \
-d "inputs[1][selection][choices][1][id]"=choice_2_id \
-d "inputs[2][type]"=email \
-d "inputs[2][custom_text][title]"="Enter your email" \
--data-urlencode "inputs[2][custom_text][description]"="We'll send updates on your order and occasional deals" \
-d "inputs[2][custom_text][submit_button]"=Submit \
-d "inputs[2][custom_text][skip_button]"=Skip \
-d "inputs[2][required]"=false
Response
{
"id": "tmr_OXYJvwsea7PDiDHNciXRkytb",
"object": "terminal.reader",
"action": {
"failure_code": null,
"failure_message": null,
"collect_inputs": {
"inputs": [
{
"type": "signature",
"custom_text": {
"title": "Signature",
"description": "Please sign below",
"submit_button": "Submit",
"skip_button": "Skip"
},
"required": false,
"signature": {
"value": null
}
},
{
"type": "selection",
"custom_text": {
"title": "Selection",
"description": "Please select one"
},
"required": true,
"selection": {
"choices": [
{
"style": "primary",
"text": "choice_1",
"id": "choice_1_id"
},
{
"style": "secondary",
"text": "choice_2",
"id": "choice_2_id"
}
],
"value": null
}
},
{
"type": "email",
"custom_text": {
"title": "Enter your email",
"description": "We'll send updates on your order and occasional deals",
"submit_button": "Submit",
"skip_button": "Skip"
},
"required": false,
"email": {
"value": null
}
}
]
},
"status": "in_progress",
"type": "collect_inputs"
},
"device_deploy_group": null,
"device_sw_version": null,
"device_type": "bbpos_wisepos_e",
"ip_address": "192.168.2.2",
"label": "Blue Rabbit",
"livemode": false,
"location": null,
"metadata": {},
"serial_number": "123-456-789",
"software": null,
"status": "online"
}

Confirm a PaymentIntent on the Reader Preview

Finalizes a payment on a Reader. See Confirming a Payment for more details.

Parameters

  • payment_intentstringRequired

    The ID of the PaymentIntent to confirm.

More parameters

  • confirm_configobjectPreview feature

Returns

Returns an updated Reader resource.

POST /v1/terminal/readers/:id/confirm_payment_intent
curl https://api.stripe.com/v1/terminal/readers/tmr_FDOt2wlRZEdpd7/confirm_payment_intent \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:" \
-d payment_intent=pi_1NrpbFBHO5VeT9SUiCEDMdc8
Response
{
"id": "tmr_FDOt2wlRZEdpd7",
"object": "terminal.reader",
"action": {
"failure_code": null,
"failure_message": null,
"collect_payment_method": {
"payment_intent": "pi_1NrpbFBHO5VeT9SUiCEDMdc8"
},
"status": "in_progress",
"type": "confirm_payment_intent"
},
"device_sw_version": "",
"device_type": "simulated_wisepos_e",
"ip_address": "0.0.0.0",
"label": "Blue Rabbit",
"last_seen_at": 1681320543815,
"livemode": false,
"location": "tml_FDOtHwxAAdIJOh",
"metadata": {},
"serial_number": "259cd19c-b902-4730-96a1-09183be6e7f7",
"status": "online"
}

Hand off a PaymentIntent to a Reader and collect card details Preview

Initiates a payment flow on a Reader and updates the PaymentIntent with card details before manual confirmation. See Collecting a Payment method for more details.

Parameters

  • payment_intentstringRequired

    The ID of the PaymentIntent to collect a payment method for.

More parameters

  • collect_configobject

Returns

Returns an updated Reader resource.

POST /v1/terminal/readers/:id/collect_payment_method
curl https://api.stripe.com/v1/terminal/readers/tmr_FDOt2wlRZEdpd7/collect_payment_method \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:" \
-d payment_intent=pi_1NrpbFBHO5VeT9SUiCEDMdc8
Response
{
"id": "tmr_FDOt2wlRZEdpd7",
"object": "terminal.reader",
"action": {
"failure_code": null,
"failure_message": null,
"collect_payment_method": {
"payment_intent": "pi_1NrpbFBHO5VeT9SUiCEDMdc8"
},
"status": "in_progress",
"type": "collect_payment_method"
},
"device_sw_version": "",
"device_type": "simulated_wisepos_e",
"ip_address": "0.0.0.0",
"label": "Blue Rabbit",
"last_seen_at": 1681320543815,
"livemode": false,
"location": "tml_FDOtHwxAAdIJOh",
"metadata": {},
"serial_number": "259cd19c-b902-4730-96a1-09183be6e7f7",
"status": "online"
}

Hand-off a PaymentIntent to a Reader 

Initiates a payment flow on a Reader. See process the payment for more details.

Parameters

  • payment_intentstringRequired

    The ID of the PaymentIntent to process on the reader.

More parameters

  • process_configobject

Returns

Returns an updated Reader resource.

POST /v1/terminal/readers/:id/process_payment_intent
curl https://api.stripe.com/v1/terminal/readers/tmr_FDOt2wlRZEdpd7/process_payment_intent \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:" \
-d payment_intent=pi_3NtEKRLkdIwHu7ix3crEirSx
Response
{
"id": "tmr_FDOt2wlRZEdpd7",
"object": "terminal.reader",
"action": {
"failure_code": null,
"failure_message": null,
"process_payment_intent": {
"payment_intent": "pi_3NtEKRLkdIwHu7ix3crEirSx"
},
"status": "in_progress",
"type": "process_payment_intent"
},
"device_sw_version": "",
"device_type": "simulated_wisepos_e",
"ip_address": "0.0.0.0",
"label": "Blue Rabbit",
"last_seen_at": 1695408232226,
"livemode": false,
"location": "tml_FDOtHwxAAdIJOh",
"metadata": {},
"serial_number": "259cd19c-b902-4730-96a1-09183be6e7f7",
"status": "online"
}

Hand-off a SetupIntent to a Reader 

Initiates a SetupIntent flow on a Reader. See Save directly without charging for more details.

Parameters

  • allow_redisplayenumRequired

    This field indicates whether this payment method can be shown again to its customer in a checkout flow. Stripe products such as Checkout and Elements use this field to determine whether a payment method can be shown as a saved payment method in a checkout flow.

    Possible enum values
    always

    Use always to indicate that this payment method can always be shown to a customer in a checkout flow.

    limited

    Use limited to indicate that this payment method can’t always be shown to a customer in a checkout flow. For example, it can only be shown in the context of a specific subscription.

    unspecified

    This is the default value for payment methods where allow_redisplay wasn’t set.

  • setup_intentstringRequired

    The ID of the SetupIntent to process on the reader.

More parameters

  • process_configobject

Returns

Returns an updated Reader resource.

POST /v1/terminal/readers/:id/process_setup_intent
curl https://api.stripe.com/v1/terminal/readers/tmr_FDOt2wlRZEdpd7/process_setup_intent \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:" \
-d allow_redisplay=always \
-d setup_intent=seti_1NtEXHLkdIwHu7ixcBcUmqfe
Response
{
"id": "tmr_FDOt2wlRZEdpd7",
"object": "terminal.reader",
"action": {
"failure_code": null,
"failure_message": null,
"process_setup_intent": {
"setup_intent": "seti_1NtEXHLkdIwHu7ixcBcUmqfe"
},
"status": "in_progress",
"type": "process_setup_intent"
},
"device_sw_version": "",
"device_type": "simulated_wisepos_e",
"ip_address": "0.0.0.0",
"label": "Blue Rabbit",
"last_seen_at": 1681320543815,
"livemode": false,
"location": "tml_FDOtHwxAAdIJOh",
"metadata": {},
"serial_number": "259cd19c-b902-4730-96a1-09183be6e7f7",
"status": "online"
}